> For the complete documentation index, see [llms.txt](https://docs.cybus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cybus.io/1-10-1/documentation/services/service-commissioning-files/resources/cybus-link.md).

# Cybus::Link

The link resource provides direct access to any web-resource. This resource can be completely external to the Connectware (e.g. [https://github.com](https://github.com/)) or point to a location that is available within a container (when the container internally runs a web-server).

Link resources are typically rendered as buttons and provide a quick access to information (like dashboards, specific documentation, etc.)directly related to the corresponding service.

{% hint style="warning" %}
If the internal HTTP server of a service container requires the button URLs to contain a trailing slash or some specific path on the container, please add that information to *href* parameter as well.
{% endhint %}

## Properties

| Property                      | Type     | Required     | Default |
| ----------------------------- | -------- | ------------ | ------- |
| [name](#name)                 | `string` | **Required** |         |
| [href](#href)                 | `string` | **Required** |         |
| [ingressRoute](#ingressroute) | `string` | Optional     |         |

### name

Name of the link (label on the button)

* type: `string`
  * maximum length: 20 characters

### href

Href of the button link

* type: `string`

### ingressRoute

Reference to an already declared [Cybus::IngressRoute](/1-10-1/documentation/services/service-commissioning-files/resources/cybus-ingressroute.md). Use `!ref <logicalId>`

If this property is used the *href* property must be defined relative to the ingress route, i.e. only the path of the inner HTTP server must be defined.

* type: `string`

## Example

{% code lineNumbers="true" %}

```yaml
myDashboardLink:
    type: Cybus::Link
    properties:
        ingressRoute: !ref dashboardRoute
        href: ui/
        name: Dashboard

myExternalLink:
    type: Cybus::Link
    properties:
        href: https://github.com
        name: Github
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cybus.io/1-10-1/documentation/services/service-commissioning-files/resources/cybus-link.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
